function out = optStopCA_scalability(problemNumber, ratio)

seqMaxCA = [ 10    72     0   120     0    57   336   100   265    64   312 ];
seqMaxEp = [ 12    80     0   129     0    57   334   102   197    74   309 ];

n = getNumGenes(['comb' num2str(problemNumber)]);
ca = seqMaxCA(problemNumber);
ca = round(ratio*ca);
ca = min(ca, n);
ca = max(ca, 1);

out = cell(1, 1);
out{1} = [ struct('key', 'stopCA', 'value', num2str(ca) ) ];

end
